<style media="screen">
  .render {
    width: 100%;
    height: auto;
  }
</style>

<form class="editer_code_spip formulaire_spip">
  <div class="editer">
  <textarea class="previsualisation" rows="8" cols="80">
<box|container=div|texte=Sed mollis, eros et ultrices tempus, mauris ipsum aliquam libero, non adipiscing dolor urna a orci. In turpis. Morbi mattis ullamcorper velit. Praesent metus tellus, elementum eu, semper a, adipiscing nec, purus. Etiam ultricies nisi vel augue.>
  </textarea>
  </div>
</form>
<a href="#" id="rendering">Render</a>




<script>
;(function($){
$(document).ready(function(){



function renderPreview(node, val, champ, objet, async) {
  var options = {
		previewParserPath:	'index.php?action=porte_plume_previsu' ,
		previewParserVar:	'data',
		textEditer:	'Editer',
		textVoir:	'Voir',
		textFullScreen: 'Plein écran'
	};


    $.ajax( {
      type: 'POST',
      async: typeof (async)=="undefined"?true:async,
      url: options.previewParserPath,
      data: options.previewParserVar+'='+encodeURIComponent(val),
      success: function(data) {
        node.html(data).removeClass('ajaxLoad');
        //ouvre un nouvel onglet lorsqu'on clique sur un lien dans la prévisualisation
        $("a",node).attr("target","blank");
      }
    } );

}

//
function preview_only(){
  var editor = $('.editer_code_spip textarea');
  var preview = $('.render');

      renderPreview(
				preview.addClass('ajaxLoad'),
				editor.val(),
				'texte',
				'article',
				false
			);
}

$('#rendering').on('click',function(e){
  var editor = $('.editer_code_spip textarea');
  var preview = $('.render');
  renderPreview(
    preview.addClass('ajaxLoad'),
    editor.val(),
    'texte',
    'article',
    false
  );
  console.log(editor.val());

});

preview_only();
// onAjaxLoad(preview_only);


});
})(jQuery);
</script>
